package body MSHTML.IHTMLStorage2_Object is

   procedure setItem
     (This      : IHTMLStorage2_Type;
      bstrKey   : GNATCOM.Types.VARIANT;
      bstrValue : GNATCOM.Types.VARIANT;
      Free      : Boolean := True)
   is
   begin
      Invoke
        (This,
         IHTMLStorage2_setItem,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => bstrValue,
          2 => bstrKey),
         Free);
   end setItem;

end MSHTML.IHTMLStorage2_Object;

